Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css.common
Interface CSSGroupIF

All Superinterfaces:
  java.io.Serializable

public interface CSSGroupIF
extends java.io.Serializable

This represents a group in the security platform and the directories.

Except for `getGroupList()` and `getUserList()`, the method invocations do not lead to a query to the directory. All other data is statically constructed during the creation of this instance.

Since:
  CSSv2.0

Method Summary
`java.util.Map` | `getGroupInfo()` Gets the provider-specific attributes.
`java.lang.String[]` | `getGroupList()` Gets the sub-groups (child groups) of this group.
`java.lang.String` | `getIdentity()` Gets the identity for this group.
`java.lang.String` | `getName()` Gets the name for this group.
`java.lang.String[]` | `getUserList()` Gets the users that belong to this group.

Method Detail

### getIdentity

    public java.lang.String getIdentity()

  Gets the identity for this group.

  Returns:
    String

### getName

    public java.lang.String getName()

  Gets the name for this group.

  Returns:
    String

### getUserList

    public java.lang.String[] getUserList()
                                   throws CSSException

  Gets the users that belong to this group.

  If there is an exception, this method can be called and the instance is not destroyed.

  Returns:
    String [] - empty if this group does not have any users. If the group has users, the string returned is an array of identities.
  Throws:
    `CSSException` - - if there is any abnormality

### getGroupList

    public java.lang.String[] getGroupList()
                                    throws CSSException

  Gets the sub-groups (child groups) of this group.

  Returns:
    String [] - empty if there are no subgroups. If there are subgroups, the string returned is an array of identities.
  Throws:
    `CSSException` - - if there is any abnormality

### getGroupInfo

    public java.util.Map getGroupInfo()

  Gets the provider-specific attributes. The provider can return a map of attributes as key-value pairs.

  This map should contain the key `CSSAPIIF.PROVIDER_REQUEST` and the value should be the URL or the domain name of the server where this group entry was looked up (server of reference).

  Returns:
    Map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD